/* rexx */

'@minstall.exe'

record = translate(value('PATH',,'OS2ENVIRONMENT'))
os2_pos = pos(':\OS2;',record)
if os2_pos > 1 then target = substr(record,os2_pos-1,1)':'
else target = 'C:'

'@copy libc06r1.dll 'target'\os2\dll\.'
'@copy UniMixPM.exe 'target'\mmos2\.'
'@copy example.cmd  'target'\mmos2\.'
'@copy unimixpm.txt 'target'\mmos2\.'

call RxFuncAdd SysCreateObject, RexxUtil, SysCreateObject
call SysCreateObject 'WPFolder',  'UniMixer',     '<WP_DESKTOP>',      'OBJECTID=<UNIMIXER_FOLDER>;',         'R'
call SysCreateObject 'WPProgram', 'UniMixer',     '<UNIMIXER_FOLDER>', 'EXENAME='target'\mmos2\unimix.exe;',  'R'
call SysCreateObject 'WPProgram', 'UniMixerPM',   '<UNIMIXER_FOLDER>', 'EXENAME='target'\mmos2\unimixpm.exe;','R'
call SysCreateShadow target'\mmos2\unimix.txt',   '<UNIMIXER_FOLDER>'
call SysCreateShadow target'\mmos2\example.cmd',  '<UNIMIXER_FOLDER>'
call SysCreateShadow target'\mmos2\unimixpm.txt', '<UNIMIXER_FOLDER>'
